math/ntl - The NetBSD Packages Collection

C++ library for doing number theory

NTL is a high-performance, portable C++ library providing data
structures and algorithms for arbitrary length integers; for vectors,
matrices, and polynomials over the integers and over finite fields;
and for arbitrary precision floating point arithmetic.

NTL provides high quality implementations of state-of-the-art algorithms for:

   o arbitrary length integer arithmetic and arbitrary precision
     floating point arithmetic;
   o polynomial arithmetic over the integers and finite fields
     including basic arithmetic, polynomial factorization,
     irreducibility testing, computation of minimal polynomials,
     traces, norms, and more;
   o lattice basis reduction, including very robust and fast
     implementations of Schnorr-Euchner, block Korkin-Zolotarev
     reduction, and the new Schnorr-Horner pruning heuristic for block
     Korkin-Zolotarev;
   o basic linear algebra over the integers, finite fields, and
     arbitrary precision floating point numbers.

NTL is free software, and may be used according to the terms of the
GNU General Public License.

Build dependencies

pkgtools/cwrappers lang/perl5

Runtime dependencies

devel/gmp devel/gmp

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfntl-11.4.3nb1.tgz
NetBSD 8.0earmv7hfntl-11.4.3nb1.tgz
NetBSD 8.0earmv7hfntl-11.4.3nb1.tgz
NetBSD 8.0earmv7hfntl-11.4.3nb2.tgz
NetBSD 8.0i386ntl-11.4.3nb1.tgz
NetBSD 8.0i386ntl-11.4.3nb1.tgz
NetBSD 8.0i386ntl-11.4.3nb1.tgz
NetBSD 8.0i386ntl-11.4.3nb2.tgz
NetBSD 8.0powerpcntl-11.4.3nb1.tgz
NetBSD 8.0powerpcntl-11.4.3nb1.tgz
NetBSD 8.0powerpcntl-11.4.3nb1.tgz
NetBSD 8.0powerpcntl-11.4.3nb2.tgz
NetBSD 8.0powerpcntl-11.4.3nb2.tgz
NetBSD 8.0x86_64ntl-11.4.3nb1.tgz
NetBSD 8.0x86_64ntl-11.4.3nb1.tgz
NetBSD 8.0x86_64ntl-11.4.3nb1.tgz
NetBSD 8.0x86_64ntl-11.4.3nb2.tgz
NetBSD 9.0aarch64ntl-11.4.3nb2.tgz
NetBSD 9.0aarch64ntl-11.4.3nb1.tgz
NetBSD 9.0aarch64ntl-11.4.3nb1.tgz
NetBSD 9.0aarch64ntl-11.4.3nb1.tgz
NetBSD 9.0alphantl-11.4.3nb2.tgz
NetBSD 9.0alphantl-11.4.3nb1.tgz
NetBSD 9.0earmntl-11.4.3nb1.tgz
NetBSD 9.0earmntl-11.4.3nb2.tgz
NetBSD 9.0earmv6hfntl-11.4.3nb2.tgz
NetBSD 9.0earmv6hfntl-11.4.3nb1.tgz
NetBSD 9.0earmv6hfntl-11.4.3nb1.tgz
NetBSD 9.0earmv6hfntl-11.4.3nb1.tgz
NetBSD 9.0earmv6hfntl-11.4.3nb1.tgz
NetBSD 9.0earmv7hfntl-11.4.3nb2.tgz
NetBSD 9.0earmv7hfntl-11.4.3nb1.tgz
NetBSD 9.0earmv7hfntl-11.4.3nb1.tgz
NetBSD 9.0earmv7hfntl-11.4.3nb1.tgz
NetBSD 9.0earmv7hfntl-11.4.3nb1.tgz
NetBSD 9.0earmv7hfntl-11.4.3nb1.tgz
NetBSD 9.0earmv7hfntl-11.4.3nb2.tgz
NetBSD 9.0i386ntl-11.4.3nb1.tgz
NetBSD 9.0i386ntl-11.4.3nb1.tgz
NetBSD 9.0i386ntl-11.4.3nb1.tgz
NetBSD 9.0i386ntl-11.4.3nb2.tgz
NetBSD 9.0mips64ebntl-11.4.3nb2.tgz
NetBSD 9.0mips64ebntl-11.4.3nb1.tgz
NetBSD 9.0mips64ebntl-11.4.3nb1.tgz
NetBSD 9.0mips64ebntl-11.4.3nb1.tgz
NetBSD 9.0powerpcntl-11.4.3nb2.tgz
NetBSD 9.0powerpcntl-11.4.3nb1.tgz
NetBSD 9.0powerpcntl-11.4.3nb1.tgz
NetBSD 9.0powerpcntl-11.4.3nb1.tgz
NetBSD 9.0powerpcntl-11.4.3nb2.tgz
NetBSD 9.0sh3elntl-11.4.3nb1.tgz
NetBSD 9.0sparc64ntl-11.4.3nb2.tgz
NetBSD 9.0sparc64ntl-11.4.3nb1.tgz
NetBSD 9.0sparcntl-11.4.3nb2.tgz
NetBSD 9.0sparcntl-11.4.3nb1.tgz
NetBSD 9.0sparcntl-11.4.3nb1.tgz
NetBSD 9.0sparcntl-11.4.3nb1.tgz
NetBSD 9.0x86_64ntl-11.4.3nb1.tgz
NetBSD 9.0x86_64ntl-11.4.3nb2.tgz
NetBSD 9.0x86_64ntl-11.4.3nb1.tgz
NetBSD 9.0x86_64ntl-11.4.3nb2.tgz
NetBSD 9.0x86_64ntl-11.4.3nb1.tgz
NetBSD 9.0x86_64ntl-11.4.3nb1.tgz
NetBSD 9.0x86_64ntl-11.4.3nb1.tgz
NetBSD 9.0x86_64ntl-11.4.3nb2.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.